[gtk+/composite-templates-new: 5/16] configure.ac, autogen.sh: call IT_PROG_INTLTOOL and intltoolize



commit ed5825fc2e5d4b937c022cab816734fa42cb2c98
Author: Tristan Van Berkom <tristanvb openismus com>
Date:   Sun Mar 24 18:19:24 2013 +0900

    configure.ac, autogen.sh: call IT_PROG_INTLTOOL and intltoolize
    
    This fixes the interpretation of lines in the po/POTFILES.in which appear as:
    [type: gettext/glade]gtk/gtkaboutdialog.ui
    
    Without this patch, an initial invocation of 'make' fails on a fresh checkout.
    
    I've tested this and 'intltool-update' in the po/ directory successfully
    extracts translations from the GtkBuilder .ui files.

 autogen.sh   |    8 ++++++++
 configure.ac |    1 +
 2 files changed, 9 insertions(+), 0 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 17ee16a..43b6941 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -17,6 +17,14 @@ else
         gtkdocize || exit $?
 fi
 
+INTLTOOLIZE=`which intltoolize`
+if test -z $INTLTOOLIZE; then
+        echo "*** No intltool found, please install it ***"
+        exit 1
+else
+        $INTLTOOLIZE --force --copy --automake || exit $?
+fi
+
 # README and INSTALL are required by automake, but may be deleted by clean
 # up rules. to get automake to work, simply touch these here, they will be
 # regenerated from their corresponding *.in files by ./configure anyway.
diff --git a/configure.ac b/configure.ac
index 34249fa..b71fc2e 100644
--- a/configure.ac
+++ b/configure.ac
@@ -615,6 +615,7 @@ if test "$gtk_ok" = "yes"; then
 fi
 
 # i18n stuff
+IT_PROG_INTLTOOL([0.41.0])
 ALL_LINGUAS="`grep -v '^#' "$srcdir/po/LINGUAS" | tr '\n' ' '`"
 AM_GLIB_GNU_GETTEXT
 LIBS="$LIBS $INTLLIBS"


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]